package org.elsysbg.courses.ip.jsf.simpleForum.helper;

import java.util.Map;

import javax.faces.application.FacesMessage;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;

import com.sun.faces.util.MessageFactory;

public class CommonHelper {
	public static Map<String, Object> getSessionMap() {
		return FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
	}
	
	public static Map<String, Object> getRequestMap() {
		ExternalContext externalContext = FacesContext.getCurrentInstance().getExternalContext();
		return externalContext.getRequestMap();
	}

	public static Map<String, Object> getApplicationMap() {
		return FacesContext.getCurrentInstance().getExternalContext().getApplicationMap();
	}
	
	public static void addMessage(final String key, final boolean errorMessage) {
		final FacesMessage facesMessage = MessageFactory.getMessage(key);
		facesMessage.setSeverity(errorMessage?FacesMessage.SEVERITY_ERROR:FacesMessage.SEVERITY_INFO);
		
		FacesContext.getCurrentInstance().addMessage(null, facesMessage);
	}
/*	public static void addMessage(final String message, final boolean errorMessage) {
		final FacesMessage facesMessage = new FacesMessage(message);
		facesMessage.setSeverity(errorMessage?FacesMessage.SEVERITY_ERROR:FacesMessage.SEVERITY_INFO);
		
		FacesContext.getCurrentInstance().addMessage(null, facesMessage);
	}
*/
}
