package org.elsysbg.courses.ip.jsf.simpleForum.request;

import org.elsysbg.courses.ip.jsf.simpleForum.helper.CommonHelper;
import org.elsysbg.courses.ip.jsf.simpleForum.model.ForumUser;
import org.elsysbg.courses.ip.jsf.simpleForum.model.ForumData;
import org.elsysbg.courses.ip.jsf.simpleForum.navigation.Navigation;

public class AddUserRequest extends ForumUser {

	public String addUser() {
		if(ForumData.getInstance().addUser(this)) {
			CommonHelper.addMessage("addUser_ok", false);
			return Navigation.LOGIN;
		}
		CommonHelper.addMessage("addUser_user_exist", true);
		return null;
	}
}
