package org.elsysbg.courses.ip.jsf.simpleForum.request;

import org.elsysbg.courses.ip.jsf.simpleForum.model.ForumData;
import org.elsysbg.courses.ip.jsf.simpleForum.model.ForumUser;
import org.elsysbg.courses.ip.jsf.simpleForum.navigation.Navigation;
import org.elsysbg.courses.ip.jsf.simpleForum.helper.CommonHelper;

public class LoginRequest {
	/**
	 * user name of the user 
	 */
	private String username;
	/**
	 * password of the user
	 */
	private String password;
	
	public String login() {
		for(ForumUser user: ForumData.getInstance().getUsers()) {
			if(user.getUsername().equalsIgnoreCase(username) && user.getPassword().equals(password)) {
				CommonHelper.getSessionMap().put("user", user);
				CommonHelper.addMessage("login_ok", false);
				return Navigation.POSTS;
			}
		}
		
		CommonHelper.addMessage("login_incorrect", true);
		return null;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
	
}
